#
# Conditional build:
%bcond_without	doc		# build doc
%bcond_with	tests		# do perform tests (pulls extra dependencies from network)

Summary:	Certbot -  EFF's tool to obtain certs from Let's Encrypt
Name:		certbot
Version:	4.0.0
Release:	1
License:	Apache v2.0
Group:		Applications/Networking
Source0:	https://github.com/certbot/certbot/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	60454de3a7e4d572270ee28716870d8a
URL:		https://certbot.eff.org/
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg >= 4.5.0
%endif
%if %{with tests}
BuildRequires:	Zope-Interface
BuildRequires:	python3-mock
BuildRequires:	python3-six
%endif
BuildRequires:	python3-setuptools
Requires:	python3-acme >= %{version}
Requires:	python3-zope.component >= 4.4.1
Requires:	python3-ndg-httpsclient
Obsoletes:	letsencrypt
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Certbot is part of EFF's effort to encrypt the entire Internet. Secure
communication over the Web relies on HTTPS, which requires the use of
a digital certificate that lets browsers verify the identify of web
servers (e.g., is that really google.com?). Web servers obtain their
certificates from trusted third parties called certificate authorities
(CAs). Certbot is an easy-to-use client that fetches a certificate
from Let's Encrypt - an open certificate authority launched by the
EFF, Mozilla, and others - and deploys it to a web server.

%prep
%setup -q

%build
cd certbot
%py3_build %{?with_tests:test}

%if %{with doc}
%{__make} -C docs html
%{__rm} -r docs/_build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/log,/var/lib}/letsencrypt

cd certbot
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst CHANGELOG.md CONTRIBUTING.md certbot/docs/*.txt
%if %{with doc}
%doc certbot/docs/_build/html/*
%else
%doc certbot/docs/*.rst certbot/docs/api certbot/docs/man
%endif
%dir %{_sysconfdir}/letsencrypt
%dir /var/log/letsencrypt
%dir /var/lib/letsencrypt
%attr(755,root,root) %{_bindir}/certbot
%{py3_sitescriptdir}/certbot
%{py3_sitescriptdir}/certbot-%{version}*-py*.egg-info
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/certbot.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e838a8
- Up to 4.0.0

* Mon Mar 24 2025 Jan Rękorajski <baggins@pld-linux.org> f08522b
- Release 3 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4a1a67d
- python 3.13 rebuild

* Wed Oct 05 2022 Adam Gołębiowski <adamg@pld-linux.org> c0f3d0a
- updated to 1.31.0

* Sun May 22 2022 Jan Rękorajski <baggins@pld-linux.org> fba14f0
- rel 1

* Sat May 21 2022 Jan Rękorajski <baggins@pld-linux.org> bf621c3
- up to 1.27.0
- build python3 only
- Require external pythonm3-acme instead of building a duplicate here

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d6eb60e
- Release 7 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7838b63
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e6cdc4d
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 882fb4e
- release 4 (by relup.sh)

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 018b5f7
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b977419
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Nov 27 2019 Adam Osuchowski <adwol@pld-linux.org> 2a93cb8
- up to 0.40.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4a52081
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jan 02 2019 Adam Osuchowski <adwol@pld-linux.org> c841caa
- up to 0.29.1

* Wed Sep 19 2018 Adam Osuchowski <adwol@pld-linux.org> 8ca2ccc
- up to 0.27.1

* Tue Jul 31 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 6a02938
- Version: 0.26.1

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e8d0621
- release 3 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 30295a4
- R: python-ndg-httpsclient

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 547754b
- Version: 0.24.0 and other improvements

